--
-- Kuali Coeus, a comprehensive research administration system for higher education.
-- 
-- Copyright 2005-2015 Kuali, Inc.
-- 
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as
-- published by the Free Software Foundation, either version 3 of the
-- License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
-- 
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--

DECLARE temp NUMBER;
BEGIN
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '1';
    IF temp = 0 THEN 
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('1','MTDC','O','admin',SYSDATE,SYS_GUID(),1); 
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '2';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('2','TDC','O','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '3';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('3','S&W','O','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '4';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('4','Fund with Transaction Fee (FUNSN)','O','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('5','Employee Benefits','E','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('7','Inflation','I','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '8';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('8','Vacation','V','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '9';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('9','Other','X','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '10';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('10','Lab Allocation - Salaries','Y','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '11';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('11','Lab Allocation - M&S','L','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_CLASS WHERE RATE_CLASS_CODE = '12';
    IF temp = 0 THEN
        INSERT INTO RATE_CLASS (RATE_CLASS_CODE,DESCRIPTION,RATE_CLASS_TYPE,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
            VALUES ('12','Lab Allocation - Utilities','L','admin',SYSDATE,SYS_GUID(),1);
    END IF;
end;
/

DECLARE temp NUMBER;
BEGIN
    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '1';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','1','MTDC','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '2';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','2','TDC','admin',SYSDATE,SYS_GUID(),1);
    END IF;
    
    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '3';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','3','S&W','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '4';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','4','Salaries','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','5','Research Rate','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','7','Faculty Salaries (6/1)','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '8';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','8','Vacation ','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '9';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','9','Other','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '10';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','10','Lab Allocation - Salaries','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '11';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','11','Lab Allocation - M&S','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '1' AND RATE_CLASS_CODE = '12';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('1','12','Lab Allocation - Utilities','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '2' AND RATE_CLASS_CODE = '4';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('2','4','Materials and Services','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '2' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('2','5','UROP Rate','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '2' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('2','7','Administrative Salaries (7/1)','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '2' AND RATE_CLASS_CODE = '8';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('2','8','Vacation on LA','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '3' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('3','5','EB on LA','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '3' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('3','7','Support Staff Salaries (4/1)','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '4' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('4','5','another EB rate','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '4' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('4','7','Materials and Services','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '5' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('5','5','eb added in pb','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '5' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('5','7','Research Staff (1/1)','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '6' AND RATE_CLASS_CODE = '5';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('6','5','Award Special EB Rate','admin',SYSDATE,SYS_GUID(),1);
    END IF;

    SELECT COUNT(*) INTO temp FROM RATE_TYPE WHERE RATE_TYPE_CODE = '6' AND RATE_CLASS_CODE = '7';
    IF temp = 0 THEN
    INSERT INTO RATE_TYPE (RATE_TYPE_CODE,RATE_CLASS_CODE,DESCRIPTION,UPDATE_USER,UPDATE_TIMESTAMP,OBJ_ID,VER_NBR) 
        VALUES ('6','7','Students (6/1)','admin',SYSDATE,SYS_GUID(),1);
    END IF;
end;
/
